org.apache.ignite.internal.processors.cache.distributed.dht.colocated

## Class GridDhtColocatedOffHeapCacheEntry

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridMetadataAwareAdapter
  - - org.apache.ignite.internal.processors.cache.GridCacheMapEntry
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheEntry
      - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheEntry
        - - org.apache.ignite.internal.processors.cache.distributed.dht.colocated.GridDhtColocatedCacheEntry
          - - org.apache.ignite.internal.processors.cache.distributed.dht.colocated.GridDhtColocatedOffHeapCacheEntry

All Implemented Interfaces:
  GridCacheEntryEx

    public class GridDhtColocatedOffHeapCacheEntry
    extends GridDhtColocatedCacheEntry

Cache entry for colocated cache for off-heap tiered or off-heap values modes.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.util.lang.GridMetadataAwareAdapter

`GridMetadataAwareAdapter.EntryKey`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMapEntry

`ATOMIC_VER_COMPARATOR, cctx, flags, key, log, logRef, startVer, val, ver`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtColocatedOffHeapCacheEntry(GridCacheContext ctx, AffinityTopologyVersion topVer, KeyCacheObject key, int hash, CacheObject val)`

### Method Summary

Methods
`protected boolean` `hasOffHeapPointer()`
`protected long` `offHeapPointer()`
`protected void` `offHeapPointer(long valPtr)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.colocated.GridDhtColocatedCacheEntry

`cacheName`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheEntry

`addDhtLocal, addReader, checkReaders, checkReadersLocked, clearInternal, clearReader, clearReaders, decrementMapPublicSize, hasReaders, incrementMapPublicSize, isDht, localCandidateByNearVersion, mappings, memorySize, onMarkedObsolete, onUnlock, partition, partitionValid, readerId, readers, removeLock, removeLock, removeMapping, removeReader, tmLock, versionedValue`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheEntry

`addLocal, addRemote, addRemote, addRemoved, checkCallbacks, checkOwnerChanged, checkRemoved, checkThreadChain, doneRemote, doneRemote, orderCompleted, readyLock, readyNearLock, recheck, refreshRemotes, remoteMvccSnapshot, removeExplicitNodeLocks, txUnlock`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMapEntry

`candidate, candidate, checkObsolete, checkSerializableReadVersion, clear, clearIndex, context, deleted, deletedUnlocked, deletedUnlocked, detached, equals, evictInBatchInternal, evictInternal, evictionDisabled, expireTime, expireTimeExtras, expireTimeUnlocked, hashCode, hasLockCandidate, hasLockCandidate, hasLockCandidateUnsafe, hasValue, hasValueUnlocked, info, initialValue, initialValue, innerGet, innerGetVersioned, innerReload, innerRemove, innerSet, innerUpdate, innerUpdateLocal, invalidate, invalidate, isInternal, isLocal, isNear, isNew, isNewLocked, isOffHeapValuesOnly, isReplicated, isStartVersion, key, keyValue, localCandidate, localCandidates, localOwner, lockedBy, lockedByAny, lockedByThread, lockedByThread, lockedByThread, lockedByThreadUnsafe, lockedByUnsafe, lockedLocally, lockedLocallyByIdOrThread, lockedLocallyUnsafe, markObsolete, markObsolete0, markObsoleteIfEmpty, markObsoleteVersion, mvccAllLocal, mvccExtras, mvccExtras, obsolete, obsolete, obsoleteOrDeleted, obsoleteVersion, obsoleteVersionExtras, obsoleteVersionExtras, onInvalidate, onOffheapEvict, onTtlExpired, peek, peek, peekVisibleValue, rawExpireTime, rawGet, rawGetOrUnmarshal, rawGetOrUnmarshalUnlocked, rawPut, rawTtl, readThrough, recordNodeId, releaseSwap, saveValueForIndexUnlocked, startVersion, ttl, ttlAndExpireTimeExtras, ttlExtras, txKey, unswap, unswap, unswap, update, updateIndex, updateTtl, updateTtl, valid, value, valueBytes, valueBytes, valueBytes0, valueBytesUnlocked, version, versionedEntry, versionedValue, visitable, wrap, wrapEviction, wrapLazyValue, wrapVersioned`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridMetadataAwareAdapter

`addMeta, addMetaIfAbsent, addMetaIfAbsent, allMeta, clone, copyMeta, copyMeta, hasMeta, hasMeta, meta, putMetaIfAbsent, readExternalMeta, removeAllMeta, removeMeta, removeMeta, replaceMeta, writeExternalMeta`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheEntryEx

`addMeta, hasMeta, meta, putMetaIfAbsent, removeMeta, removeMeta, replaceMeta`

### Constructor Detail

#### GridDhtColocatedOffHeapCacheEntry

    public GridDhtColocatedOffHeapCacheEntry(GridCacheContext ctx,
                                     AffinityTopologyVersion topVer,
                                     KeyCacheObject key,
                                     int hash,
                                     CacheObject val)

Parameters:
  `ctx` - Cache context.
  `topVer` - Topology version at the time of creation (if negative, then latest topology is assumed).
  `key` - Cache key.
  `hash` - Key hash value.
  `val` - Entry value.

### Method Detail

#### hasOffHeapPointer

    protected boolean hasOffHeapPointer()

Overrides:
  `hasOffHeapPointer` in class `GridCacheMapEntry`
Returns:
  True if entry has off-heap value pointer.

#### offHeapPointer

    protected long offHeapPointer()

Overrides:
  `offHeapPointer` in class `GridCacheMapEntry`
Returns:
  Off-heap value pointer.

#### offHeapPointer

    protected void offHeapPointer(long valPtr)

Overrides:
  `offHeapPointer` in class `GridCacheMapEntry`
Parameters:
  `valPtr` - Off-heap value pointer.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDhtColocatedCacheEntry`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016